Image Generation
Get Image Status
Get the current status and metadata for an image generation job.
GET
/
v1
/
images
/
{id}
Get Image Status
curl --request GET \
--url https://api.turboads.ai/v1/images/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.turboads.ai/v1/images/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.turboads.ai/v1/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "j97image123abc456def789",
"project_id": "j97project123abc456def789",
"prompt": "A cinematic product photo of a skincare bottle on a marble counter",
"model": "nano-banana-2",
"aspect_ratio": "1:1",
"status": "completed",
"error": null,
"created_at": 1782225600000
}
}{
"error": {
"code": "unauthorized",
"message": "Missing, invalid, or revoked API key."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded."
},
"retry_after_ms": 1200
}{
"error": {
"code": "internal_error",
"message": "Something went wrong."
}
}Previous
Get Image URLFetch the final image URL after the image generation reaches completed status.
Next
⌘I
Get Image Status

